<!-- basic form start -->
<div class="col-12 mt-5">
	<div class="card">
		<div class="card-body">
			<h4 class="header-title">Transaksi Pengeluaran</h4>
			<form method="post" enctype="multipart/form-data">
				<div class="form-group">
					<?php
					$arrLevel	= array("Aktif","Tidak Aktif");
# KETIKA DIKLIK
					if(isset($_POST['btnSave']))
					{
		# PERIKSA VARIABLE
						$txtakun			= $_POST['txtakun'];
						$txtnokwitansi		= $_POST['txtnokwitansi'];
						$txtbanyak			= $_POST['txtbanyak'];
						$txtketerangan		= $_POST['txtketerangan'];
						$txtpenerima		= $_POST['txtpenerima'];
						$cmbTanggal 		=$_POST['cmbTanggal'];

		# SAMPAIKAN PESAN ERROR
						$pesanError = array();
						if(trim($_POST['txtakun'])=="") 
						{
							$pesanError[] = "Data <b>Nomor Akun</b> tidak boleh kosong, harus diisi !";		
						}	
						if(trim($_POST['txtbanyak'])=="") 
						{
							$pesanError[] = "Data <b>Banyak Uang</b> tidak boleh kosong, harus diisi !";		
						}
						if(trim($_POST['txtpenerima'])=="") 
						{
							$pesanError[] = "Data <b>Penerima</b> tidak boleh kosong, harus diisi !";		
						}
						if(trim($_POST['txtketerangan'])=="") 
						{
							$pesanError[] = "Data <b>Keterangan</b> tidak boleh kosong, harus diisi !";		
						}


		# JIKA ADA PESAN ERROR MAKA TAMPILKAN ERROR
						if (count($pesanError)>=1 )
						{
							echo "<div class='mssgBox'>";
							// echo "<img src='images/attention.png'> <br><hr>";
							$noPesan=0;
							foreach ($pesanError as $indeks=>$pesan_tampil) 
							{ 
								$noPesan++;
								echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
								echo "&nbsp;&nbsp; $noPesan. $pesan_tampil<br>";
								echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'>";
								echo "<span class='fa fa-times'></span>
								</button>
								</div>";	
							} 
							echo "</div> <br>"; 
						}
						else
						{
							$kodeBaru	= buatKode("pengeluaran", "KW");		
							$mySql	= "INSERT INTO pengeluaran ( no_akun, no_kwitansi, tanggal, banyak, penerima, keterangan) 
							VALUES ( '$txtakun', '$kodeBaru', '".InggrisTgl($_POST['cmbTanggal'])."', '$txtbanyak', '$_SESSION[nama]', '$txtketerangan')";

							$myQry	= mysql_query($mySql, $koneksidb) or die ("Gagal query".mysql_error());
							if($myQry)
							{
								echo "<meta http-equiv='refresh' content='0; url=?page=Cetak-Pengeluaran&kode=$kodeBaru'>";
							}
							exit;
						}
					}		
					$tglTransaksi 	= isset($_POST['cmbTanggal']) ? $_POST['cmbTanggal'] : date('d-m-Y');
					$nomorKwitansi = buatKode("pengeluaran", "KW");
					?> 
				</div>
				<div class="form-row">
					<div class="col-md-3 mb-3">
						<label for=""><b>No. Kwitansi</b></label>
						<input type="text" class="form-control" name="txtnokwitansi" value="<?php echo $nomorKwitansi; ?>" >
					</div>
					<div class="col-md-3 mb-3">
						<label for=""><b>Tanggal Transaksi</b></label>
						<input type="text" class="form-control" name="cmbTanggal" value="<?php echo $tglTransaksi; ?>" >
					</div>
					<div class="col-md-3 mb-3">
						<label for=""><b>Nomor Akun</b></label>
						<input type="text" class="form-control" name="txtakun" placeholder="Masukan Nomor Akun">
					</div>
					<div class="col-md-3 mb-3">
						<label for=""><b>Jumlah</b></label>
						<input type="text" class="form-control" name="txtbanyak" placeholder="Masukan Jumlah">
					</div>
				</div>
				<div class="form-row">
					<div class="col-md-6 mb-3">
						<label for=""><b>Penerima/Pengguna</b></label>
						<input type="text" class="form-control" name="txtpenerima" value="<?php echo $_SESSION['nama']; ?>" placeholder="Masukan Penerima" >
					</div>
					<div class="col-md-6 mb-3">
						<label for=""><b>Keterangan</b></label>
						<input type="text" class="form-control" name="txtketerangan" placeholder="Masukan Keterangan Transaksi">
					</div>
				</div>
				<button type="submit" class="btn btn-primary col-12" name="btnSave"><b>Simpan Transaksi</b></button>
			</form>
		</div>
	</div>
</div>
<!-- basic form end -->